java.util.prefs

## Interface PreferenceChangeListener

- All Superinterfaces:
    EventListener

      public interface PreferenceChangeListener
      extends EventListener

  A listener for receiving preference change events.
  Since:
    1.4
  See Also:
    `Preferences`, `PreferenceChangeEvent`, `NodeChangeListener`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `preferenceChange(PreferenceChangeEvent evt)` This method gets called when a preference is added, removed or when its value is changed.

- - ### Method Detail

    - #### preferenceChange

          void preferenceChange(PreferenceChangeEvent evt)

      This method gets called when a preference is added, removed or when its value is changed.

      Parameters:
        `evt` - A PreferenceChangeEvent object describing the event source and the preference that has changed.

Submit a bug or feature
For further API reference and developer documentation, see Java SE Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.